/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.processor.processor;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

public class ProxyPropertiesITCase {

	@Nested
	@SpringBootTest(properties = {
			"ozgcloud.http-proxy.host=" + ProxyPropertiesTestFactory.HOST,
			"ozgcloud.http-proxy.port=" + ProxyPropertiesTestFactory.PORT })
	class TestProperties {

		@Autowired
		private ProxyProperties proxyProperties;

		@Test
		void shouldHaveHost() {
			assertThat(proxyProperties.getHost()).isEqualTo(ProxyPropertiesTestFactory.HOST);
		}

		@Test
		void shouldHavePort() {
			assertThat(proxyProperties.getPort()).isEqualTo(ProxyPropertiesTestFactory.PORT);
		}

	}

	@Nested
	@SpringBootTest
	class TestProxyPropertiesNotSet {

		@Autowired(required = false)
		private ProxyProperties proxyProperties;

		@Test
		void shouldLoadContext() {
			assertThat(proxyProperties).isNull();
		}
	}
}
